% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/permut.R
\name{PermutRandSurv}
\alias{PermutRandSurv}
\title{A function to calculate probabilities of neutral model and positive
selection model from a genotype matrix whit a randomly shuffled survival
vector}
\usage{
PermutRandSurv(gt, survival, odded.lives = NULL, odded.samples = NULL,
  verbose = TRUE)
}
\arguments{
\item{gt}{A genotype matrix}

\item{survival}{A survival vector to shuffle}

\item{odded.lives}{Optional. A vector containing a number of lives for each
categories of \code{odded.samples} (e.g. c("HETERO" = 32, "HOMOREF" = 18, 
... ))}

\item{odded.samples}{Optional. A list of vectors containing index for each
odded sample categories. (e.g. list$HETERO could be c(1,3,7,45,141))}

\item{verbose}{Logical. If TRUE (default), report status of the process
along the execution.}
}
\value{
A data frame of frequencies and probabilities, one snp per row.
}
\description{
A function to calculate probabilities of neutral model and positive
selection model from a genotype matrix whit a randomly shuffled survival
vector
}
\examples{
\dontrun{
PermutRandSurv(gt, c(TRUE, TRUE, FALSE, ...))
PermutRandSurv(gt, survival, verbose = FALSE)
PermutRandSurv(gt, survival, odded.lives = c("HETERO" = 32, "HOMOREF" = 18, ...
), odded.samples = list("HETERO" = c(1,3,7,45,141), ...)))
}
}
\seealso{
For more detail, see \code{\link{AnalyseSplittedExpt}} which this function
bind.
}
